#vertexshader

void main()
{
	gl_Position = ftransform();
	gl_TexCoord[0] = gl_MultiTexCoord0;
}

#fragmentshader

uniform sampler2D Texture0;

void main()
{
	vec4 t = texture2D(Texture0, gl_TexCoord[0].xy);
	float v = t.r+t.g+t.b;
	gl_FragColor = vec4(t.rgb*pow(v, 20.0), 1.0);
}
